org.eclipse.ecf.core.identity

## Interface IResourceID

All Superinterfaces:
  Comparable, org.eclipse.core.runtime.IAdaptable, ID, Principal, Serializable

All Known Implementing Classes:
  RestID, URIID

    public interface IResourceID
    extends ID

Resource id. ID instances that implement this interface are expected to be resources (files, directories, URLs, etc) and so can be identified via a `URI`.

Since:
  3.0

### Method Summary

All Methods Instance Methods Abstract Methods
`URI` `toURI()` Convert this resource ID to a `URI`.

### Methods inherited from interface org.eclipse.ecf.core.identity.ID

`equals, getName, getNamespace, hashCode, toExternalForm`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface java.security.Principal

`implies, toString`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Method Detail

#### toURI

    URI toURI()

Convert this resource ID to a `URI`.

Returns:
  URI for this resource ID